| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::StaticGeometry::MaterialBucket Class Reference

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD). More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::MaterialBucket:
[legend]

## Public Types
typedef std::vector< GeometryBucket * > | GeometryBucketList
| list of Geometry Buckets in this region More...
typedef VectorIterator< GeometryBucketList > | GeometryIterator
| Iterator over geometry. More...

## Public Member Functions
| MaterialBucket (LODBucket *parent, const String &materialName)
virtual | ~MaterialBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, Real lodValue)
| Add children to the render queue. More...
void | assign (QueuedGeometry *qsm)
| Assign geometry to this bucket. More...
void | build (bool stencilShadows)
| Build. More...
void | dump (std::ofstream &of) const
| Dump contents for diagnostics. More...
Technique * | getCurrentTechnique (void) const
| Get the current Technique. More...
GeometryIterator | getGeometryIterator (void)
| Get an iterator over the contained geometry. More...
const MaterialPtr & | getMaterial (void) const
| Get the material for this bucket. More...
const String & | getMaterialName (void) const
| Get the material name. More...
LODBucket * | getParent (void)
void | visitRenderables (Renderable::Visitor *visitor, bool debugRenderables)

## Detailed Description

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD).

## Member Typedef Documentation

## ◆ GeometryBucketList

typedef std::vector<GeometryBucket*> Ogre::StaticGeometry::MaterialBucket::GeometryBucketList

list of Geometry Buckets in this region

## ◆ GeometryIterator

typedef VectorIterator<GeometryBucketList> Ogre::StaticGeometry::MaterialBucket::GeometryIterator

Iterator over geometry.

## Constructor & Destructor Documentation

## ◆ MaterialBucket()

Ogre::StaticGeometry::MaterialBucket::MaterialBucket | ( | LODBucket * | parent,
|  | const String & | materialName
| ) |  |

## ◆ ~MaterialBucket()

virtual Ogre::StaticGeometry::MaterialBucket::~MaterialBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParent()

LODBucket* Ogre::StaticGeometry::MaterialBucket::getParent | ( | void |  | ) |
| inline

## ◆ getMaterialName()

const String& Ogre::StaticGeometry::MaterialBucket::getMaterialName | ( | void |  | ) | const
| inline

Get the material name.

## ◆ assign()

void Ogre::StaticGeometry::MaterialBucket::assign | ( | QueuedGeometry * | qsm | ) |

Assign geometry to this bucket.

## ◆ build()

void Ogre::StaticGeometry::MaterialBucket::build | ( | bool | stencilShadows | ) |

Build.

## ◆ addRenderables()

void Ogre::StaticGeometry::MaterialBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | lodValue
| ) |  |

Add children to the render queue.

## ◆ getMaterial()

const MaterialPtr& Ogre::StaticGeometry::MaterialBucket::getMaterial | ( | void |  | ) | const
| inline

Get the material for this bucket.

## ◆ getGeometryIterator()

GeometryIterator Ogre::StaticGeometry::MaterialBucket::getGeometryIterator | ( | void |  | ) |

Get an iterator over the contained geometry.

## ◆ getCurrentTechnique()

Technique* Ogre::StaticGeometry::MaterialBucket::getCurrentTechnique | ( | void |  | ) | const
| inline

Get the current Technique.

## ◆ dump()

void Ogre::StaticGeometry::MaterialBucket::dump | ( | std::ofstream & | of | ) | const

Dump contents for diagnostics.

## ◆ visitRenderables()

void Ogre::StaticGeometry::MaterialBucket::visitRenderables | ( | Renderable::Visitor * | visitor,
|  | bool | debugRenderables
| ) |  |

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h